Strange error with brand new CMake 4.10.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Strange error with brand new CMake 4.10.0

cornelis
Yesterday I had a problem with the CMake release candidate 4 for the version 4.10.0 on Windows with MSVC 2015, and I realized by reading the CMakeOutput.log that testing the Manifest Tool (MT) was failing. And with a little Google I got the impression that this is now fixed with the final release:


Now today seeing on the cmake.org website that the version 4.10.0 is out I immediately downloaded and installed it. However the result is a bit disappointing: Indeed the error message has gone from the CMakeOutput.log file - but the Configure run still fails with the same message:

CMake Error at CMakeLists.txt:32 (message):
  MSVS not properly configured yet!

Now I am lost because I really do not know where to look further!

For the very moment, and in order to have a quick solution, I will now probably simply downgrade to the previous version 3.9, but still I wanted to report this problem to the experts!

Regards, Cornelis

--

Powered by www.kitware.com

Please keep messages on-topic and check the CMake FAQ at: http://www.cmake.org/Wiki/CMake_FAQ

Kitware offers various services to support the CMake community. For more information on each offering, please visit:

CMake Support: http://cmake.org/cmake/help/support.html
CMake Consulting: http://cmake.org/cmake/help/consulting.html
CMake Training Courses: http://cmake.org/cmake/help/training.html

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Follow this link to subscribe/unsubscribe:
http://public.kitware.com/mailman/listinfo/cmake
Reply | Threaded
Open this post in threaded view
|

Re: Strange error with brand new CMake 4.10.0 - SOLVED

cornelis
What a shame! Actually that error message comes from my own CMakeLists.txt file - where I had so far only configured some settings for Linux and not yet for MSVC...

This is indeed not any more the MT problem, but simply my own - so please forget about my previous posting!

Regards, Cornelis

Am Mittwoch, den 22.11.2017, 09:56 +0100 schrieb Cornelis Bockemühl:
Yesterday I had a problem with the CMake release candidate 4 for the version 4.10.0 on Windows with MSVC 2015, and I realized by reading the CMakeOutput.log that testing the Manifest Tool (MT) was failing. And with a little Google I got the impression that this is now fixed with the final release:


Now today seeing on the cmake.org website that the version 4.10.0 is out I immediately downloaded and installed it. However the result is a bit disappointing: Indeed the error message has gone from the CMakeOutput.log file - but the Configure run still fails with the same message:

CMake Error at CMakeLists.txt:32 (message):
  MSVS not properly configured yet!

Now I am lost because I really do not know where to look further!

For the very moment, and in order to have a quick solution, I will now probably simply downgrade to the previous version 3.9, but still I wanted to report this problem to the experts!

Regards, Cornelis

--

Powered by www.kitware.com

Please keep messages on-topic and check the CMake FAQ at: http://www.cmake.org/Wiki/CMake_FAQ

Kitware offers various services to support the CMake community. For more information on each offering, please visit:

CMake Support: http://cmake.org/cmake/help/support.html
CMake Consulting: http://cmake.org/cmake/help/consulting.html
CMake Training Courses: http://cmake.org/cmake/help/training.html

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Follow this link to subscribe/unsubscribe:
http://public.kitware.com/mailman/listinfo/cmake